¿Cómo instalar Stack Applet?

Estoy tratando de instalar Stack Applet. Seguí las instrucciones de esta pregunta. Para ser específico utilicé lo siguiente

sudo add-apt-repository ppa:george-edison55/george-edison sudo apt-get update sudo apt-get upgrade sudo apt-get install stackapplet python /usr/share/stackapplet/stackapplet.py & 

Cuando inicio el applet de stack a través del Dash, no pasa nada. (es decir, no se abre ninguna ventana). Intenté reiniciar mi computadora e iniciar el applet de la stack, pero tampoco funcionó. ¿Cómo instalo Stack Applet?

EDITAR: He intentado usar el centro de software de Ubuntu sin suerte. Mi interfaz se ve asi captura de pantalla

Soy el autor de StackApplet, así que espero poder ayudar a aclarar lo que está pasando aquí.

En primer lugar, la versión en el Centro de software está actualmente rota. Esto se debe a que Stack Exchange recientemente cerró la versión 1.x de su API pública (que utilizó StackApplet). Justo antes de que esto sucediera, actualicé el código fuente y lancé StackApplet 1.5.2 , que he probado y puedo confirmar que funciona en Ubuntu 14.04.

En segundo lugar, la nueva versión está disponible en un PPA, pero no la que incluyó en su pregunta. Necesita agregar el siguiente PPA a su sistema:

ppa: stackapplet-dev / stackapplet

Después de la instalación, puede confirmar que tiene instalada la versión correcta utilizando:

 dpkg -s stackapplet | grep Version 

Una vez completado esto, debe poder ejecutar la aplicación directamente desde el tablero.


Edición: también puede que te falte el paquete python-appindicator . Puede asegurarse de que esté instalado ejecutando el siguiente comando en un terminal:

 sudo apt-get install python-appindicator 

Te recomiendo que desinstales tu instalación original de Stack Applet. Luego, vuelva a instalarlo usando el Centro de software de Ubuntu ya que es muy fácil y funcionó perfectamente para mí. Lo hice en Ubuntu 14.04. introduzca la descripción de la imagen aquí

*editar introduzca la descripción de la imagen aquí

Instalé la última versión a través de ppa:stackapplet-dev/stackapplet como se aconseja, solo para descubrir que el problema aún reside en el código mientras escribo esto. Una comprobación rápida muestra el núcleo del problema que usted (y yo) estamos experimentando: stackapplet no puede autorizar a través de la siguiente URL:

 http://stackauth.com/1.0/sites?key=_qlxmEAOH06hLA1_FsZIGQ&jsonp=jQuery1 … 4&_=1 … 

La llamada resulta en un 404 - Not Found .

Hasta que @ nathan-osman (el autor) solucione esto, o alguien más intervenga para hacer el trabajo, hay pocas esperanzas de poder usar StackApplet.

Para fines informativos, aquí hay una captura de pantalla que muestra el 404 …